# -*- coding: utf-8 -*-

from odoo import models, fields


class SkeenVisitaAdjunto(models.Model):
    _name = 'skeen.visita.adjunto'
    _description = 'Adjunto de Visita (foto o documento)'
    _order = 'create_date asc, id asc'

    visita_id = fields.Many2one('skeen.visita', string='Visita', required=True, ondelete='cascade')
    kind = fields.Selection([
        ('antes', 'Foto Antes'),
        ('despues', 'Foto Después'),
        ('documento', 'Documento'),
    ], string='Tipo', required=True)
    name = fields.Char(string='Archivo')
    file = fields.Binary(string='Contenido', attachment=True, required=True)
    mimetype = fields.Char(string='Tipo MIME')
    notes = fields.Char(string='Notas')
